Subject: bug#36855: guix system switch-generation doesn't

From: [email-masked] (Jakob L. Kreuze)
Date: Tue, 30 Jul 2019 12:16:05 -0400

Hi Robert,

Robert Vollmert <[email-masked]> writes:

> The line with “updated version” should not be there.
>
> Presumably, this is due to switch-generations not calling
> upgrade-shepherd-services.

I can confirm that 'switch-to-system-generation', the procedure that
carries out 'guix system switch-generation', neither invokes
'upgrade-shepherd-services' nor runs that system's activation script.

I'd be interested to hear from others who have worked on 'guix system'
as to whether or not it would be a good idea to perform the effectful
parts of a system activation for 'switch-generation'. I haven't yet
pondered upon the implications.

Regards,
Jakob